Bug 1409201 - Can't boot Fedora 24/25 with kernel 4.8.* without iommu=soft
Summary: Can't boot Fedora 24/25 with kernel 4.8.* without iommu=soft
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-30 08:41 UTC by Juhani Jaakola
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1466798 (view as bug list)
Environment:
Last Closed: 2017-04-28 17:13:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Juhani Jaakola 2016-12-30 08:41:15 UTC
Description of problem:
I have a HP Notebook (15-ba012no, product number W7A40EA#UUW) which has an AMD A10 CPU+GPU. I installed 64-bit EFI Fedora 24 on it and it worked fine, until I updated to kernel 4.8.8. With kernel 4.8.8 the system did not boot any more. It started the boot process and after some time I got following error messages:

AMD-Vi: Completion-Wait loop timed out
and
AMD-Vi: Event logged [IOTLB_INV_TIMEOUT device=...

When I updated to kernel 4.8.15, it corrupted my root partition. I had a LVM file system.

With kernels 4.7.* the system boots fine.

When I boot the Fedora 25 LXDE Live CD (64-bit EFI version), I get the same errors (and errors SQUASHFS error: Unable to read data cache entry..., SQUASHFS error: Unable to read page, block...) . But when I add "iommu=soft" to kernel parameters, the Live CD boots fine!

I have 12 GB of RAM.


Version-Release number of selected component (if applicable):
kernel 4.8.8, 4.8.15 (all 4.8.* kernels that I have tried)

How reproducible:
Always

Steps to Reproduce:
1. Try booting Fedora 24 or 25 with kernel version 4.8.*

Actual results:
Boot starts but ends with lots of error messages (see the description). Kernel 4.8.15 corrupted root file system!

Expected results:
Normal boot

Additional info:

Comment 1 Juhani Jaakola 2017-01-11 17:58:43 UTC
I don't know whether this is a different bug, but I have another machine which does not boot without kernel parameter iommu. This time the parameter must be iommu=off - setting iommu=soft does not work for this machine.

This machine is a desktop machine with AMD FX(tm)-4100 Quad-Core Processor (family: 0x15, model: 0x1, stepping: 0x2) and motherboard M5A78L-M LX, BIOS 0801 (11/30/2011).

This machine boots with the Fedora 25 64-bit LXDE Live image (on USB stick). With the Live image, dmesg includes message "AMD IOMMUv2 functionality not available on this system"

But without iommu=off, it immediately reboots after I select any of the following kernels from the GRUB2 boot menu:

kernel-4.6.7-300.fc24.i686
kernel-4.7.4-200.fc24.i686
kernel-4.8.16-300.fc25.i686

If I edit kernel parameters and add iommu=off, kernel-4.8.16-300.fc25.i686 boots fine.

Comment 2 Laura Abbott 2017-01-17 01:14:46 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Juhani Jaakola 2017-02-06 18:13:29 UTC
I upgraded the HP Notebook to kernel-4.9.6-200.fc25.x86_64. It boots fine with the "iommu=soft" parameter.

I removed the "iommu=soft" parameter and added parameter "single" in order to boot to single user mode. The system printed a lot of AMD-Vi error messages, so I pressed the power button in order to interrupt the boot process. I do not want it to corrupt my hard disk again!

Please ignore Comment #1 (entered on 2017-01-11 12:58:43 EST), it is a probably a different bug.

Comment 4 Juhani Jaakola 2017-02-07 07:53:28 UTC
I upgraded the HP Botebook to kernel-4.9.7-201.fc25.x86_64 and it has the same problem as kernel-4.9.6-200.fc25.x86_64.

Without the "iommu=soft" parameter I get AMD-Vi and IO_PAGE_FAULT error messages.

Comment 5 Justin M. Forbes 2017-04-11 14:40:45 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2017-04-28 17:13:10 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 mrromanze 2017-06-30 12:17:25 UTC
till happening on 4.11.7-300 kernel (fedora 26). Model of notebook is HP 15 ba031ur


Note You need to log in before you can comment on or make changes to this bug.